Subject: Re: BUG: corrupted list in __nf_tables_abort

From: Florian Westphal <[email-masked]>
Date: Sun, 15 Mar 2020 01:18:20 +0100

syzbot <[email-masked]> wrote:
> syzbot suspects this bug was fixed by commit:
> 
> commit 34682110abc50ffea7e002b0c2fd7ea9e0000ccc
> Author: Max Chou <[email-masked]>
> Date:   Wed Nov 27 03:01:07 2019 +0000
> 
>     Bluetooth: btusb: Edit the logical value for Realtek Bluetooth reset
> 
> bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=113e9919e00000
> start commit:   d5d359b0 Merge branch 'for-linus' of git://git.kernel.org/..
> git tree:       upstream
> kernel config:  https://syzkaller.appspot.com/x/.config?x=83c00afca9cf5153
> dashboard link: https://syzkaller.appspot.com/bug?extid=437bf61d165c87bd40fb
> syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=168a1611e00000
> C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=162f0376e00000
> 
> If the result looks correct, please mark the bug fixed by replying with:

Looks wrong, better candidate:

#syz fix: netfilter: nf_tables: autoload modules from the abort path